var myScroll;
function f_initScroll(panelId) {
	if (myScroll != null) {
		myScroll.destroy();
	}

	var upIcon = $("#" + panelId).find("span[class='pull-down-msg']");
	var downIcon = $("#" + panelId).find("span[class='pull-up-msg']");
	var distance = 51; //滑动距离
	var waitRefresh = false;
	var refreshing = false;
	var lastY = 0;

	myScroll = new IScroll('#' + panelId, { probeType: 3, mouseWheel: true, click: true });

	myScroll.on("scroll", function () {
	    if (waitRefresh && lastY > this.y)
	    {
            downAjax(panelId);
            upIcon.removeClass("reverse_icon")
            upIcon.html("<img src=\"imgs/loading.gif\" align=\"absmiddle\" />&nbsp;澳門人 澳門事");
            waitRefresh = false;
            refreshing = true;
	    }
	    lastY = this.y;
		var y = this.y,
        maxY = this.maxScrollY - y,
        downHasClass = downIcon.hasClass("reverse_icon"),
        upHasClass = upIcon.hasClass("reverse_icon");

		if (this.y > distance && !refreshing) {
		    upIcon.html("松手刷新列表");
		    waitRefresh = true;
		    refreshing = false;
        }

        if (!refreshing && this.maxScrollY - this.y > distance) {
            refreshing = true;
            upAjax(panelId);
            upIcon.removeClass("reverse_icon")
        }
	});

	myScroll.on("scrollEnd", function () {
        upIcon.html("<img src=\"imgs/loading.gif\" align=\"absmiddle\" />&nbsp;澳門人 澳門事");
        refreshing = false;
        $("#" + panelId).trigger('scroll');
    });
}

function upAjax(panelId) {
    _isRefresh = false;
	var page = $("#" + panelId).attr("page");
	page = parseInt(page) + 1;
	$("#" + panelId).attr("page", page);
	if (panelId == "page_main_0") {
		f_loadHeadline('page_main_0', 'data')
	}
	else if (panelId == "page_search") {
		f_search();
	}
	else if (panelId == "page_partner") {
		f_loadPartnerData();
	}
	else if (panelId == "page_service_list") {
		f_loadServiceList();
	}
	else {
		f_loadData(panelId);
	}
}

function downAjax(panelId) {
    _isRefresh = true;
	$("#" + panelId).attr("page", "1");
	if (panelId == "page_main_0") {
		f_loadHeadline('page_main_0', 'data')
	}
	else if (panelId == "page_search") {
		f_search();
	}
	else if (panelId == "page_partner") {
		f_loadPartnerData();
	}
	else if (panelId == "page_service_list") {
		f_loadServiceList();
	}
	else {
		f_loadData(panelId);
	}
}