function f_shareToFriend(title, description, pic, link)
{
    Wechat.share({
        message: {
            "title": title,
            "description": description,
            "thumb": pic,
            "media": {
                type: Wechat.Type.LINK,
                webpageUrl: link
            }
        },
        scene: Wechat.Scene.SESSION   // share to Timeline
    }, function () {
        f_toast("分享成功");
    }, function (reason) {
        f_toast(reason);
    });
}

function f_shareToTimeline(title, description, pic, link)
{
    Wechat.share({
        message: {
            "title": title,
            "description": description,
            "thumb": pic,
            "media": {
                type: Wechat.Type.LINK,
                webpageUrl: link
            }
        },
        scene: Wechat.Scene.TIMELINE
    }, function () {
        f_toast("分享成功");
    }, function (reason) {
        f_toast(reason);
    });
//    Wechat.share({
//         text: "This is just a plain string",
//         scene: Wechat.Scene.TIMELINE   // share to Timeline
//     }, function () {
//         alert("Success");
//     }, function (reason) {
//         alert("Failed: " + reason);
//     });
}