﻿$.afui.useOSThemes = false;
$.afui.loadDefaultHash = true;
$.afui.autoLaunch = false;

var _serviceUrl = "http://113.107.219.150:8095/m/action.ashx";
var _applicationUrl = "http://113.107.219.150:8095";
//var _serviceUrl = "http://192.168.1.102/ZtuTT/m/action.ashx";
//var _applicationUrl = "http://192.168.1.102/ZtuTT";
var _currentVersion = "1.3.7";
var _currentPanelIndex = 0;
var _currentPanelId = "page_main_0";
var _nightClass = "";
var _isRefresh = true;
var _interval; 	//用于查询支付结果的计时器
var _currentMdlId = "0";

if (localStorage.getItem('_defineDayOrNight') != null && localStorage.getItem('_defineDayOrNight') == "打开") {
	_nightClass = "Night";
}

 var onDeviceReady = function() {
    console.log("JPushPlugin:Device ready!");
    initiateUI();
    document.addEventListener("backbutton", onBackKeyDown, false); //返回键
};

var getRegistrationID = function() {
    window.plugins.jPushPlugin.getRegistrationID(onGetRegistrationID);
};

var onGetRegistrationID = function(data) {
    try {
        console.log("JPushPlugin:registrationID is " + data);

        if (data.length == 0) {
            var t1 = window.setTimeout(getRegistrationID, 1000);
        }
        $("#registrationId").html(data);
    } catch (exception) {
        console.log(exception);
    }
};

var onTagsWithAlias = function(event) {
    try {
        console.log("onTagsWithAlias");
        var result = "result code:" + event.resultCode + " ";
        result += "tags:" + event.tags + " ";
        result += "alias:" + event.alias + " ";
        $("#tagAliasResult").html(result);
    } catch (exception) {
        console.log(exception)
    }
};

var onOpenNotification = function(event) {
    try {
        var alertContent;
        if (device.platform == "Android") {
            alertContent = event.alert;
        } else {
            alertContent = event.aps.alert;
        }
        var dataId = event.extras.id;
        var dataItem = $("div[datid='"+ dataId +"']");
        if (dataItem.length > 0)
        {
            $(dataItem).click();
        }
        //alert("open Notification:" + alertContent);
    } catch (exception) {
        console.log("JPushPlugin:onOpenNotification" + exception);
    }
};

var onReceiveNotification = function(event) {
    try {
        var alertContent;
        if (device.platform == "Android") {
            alertContent = event.alert;
        } else {
            alertContent = event.aps.alert;
        }
        $("#notificationResult").html(alertContent);
    } catch (exception) {
        console.log(exception)
    }
};

var onReceiveMessage = function(event) {
    try {
        var message;
        if (device.platform == "Android") {
            message = event.message;
        } else {
            message = event.content;
        }
        $("#messageResult").html(message);
    } catch (exception) {
        console.log("JPushPlugin:onReceiveMessage-->" + exception);
    }
};

var initiateUI = function() {
    try {
        window.plugins.jPushPlugin.init();
        window.setTimeout(getRegistrationID, 1000);
        if (device.platform != "Android") {
            window.plugins.jPushPlugin.setDebugModeFromIos();
            window.plugins.jPushPlugin.setApplicationIconBadgeNumber(0);
        } else {
            window.plugins.jPushPlugin.setDebugMode(true);
            window.plugins.jPushPlugin.setStatisticsOpen(true);
        }
    } catch (exception) {
        console.log(exception);
    }
    $("#setTagWithAliasButton").click(function(ev) {
        try {
            var tag1 = $("#tagText1").attr("value");
            var tag2 = $("#tagText2").attr("value");
            var tag3 = $("#tagText3").attr("value");
            var alias = $("#aliasText").attr("value");
            var tags = [];

            if (tag1 != "") {
                tags.push(tag1);
            }
            if (tag2 != "") {
                tags.push(tag2);
            }
            if (tag3 != "") {
                tags.push(tag3);
            }
            window.plugins.jPushPlugin.setTagsWithAlias(tags, alias);
        } catch (exception) {
            console.log(exception);
        }
    })
};

document.addEventListener("jpush.setTagsWithAlias", onTagsWithAlias, false);
document.addEventListener("jpush.openNotification", onOpenNotification, false);
document.addEventListener("deviceready", onDeviceReady, false);
document.addEventListener("jpush.receiveNotification", onReceiveNotification, false);
document.addEventListener("jpush.receiveMessage", onReceiveMessage, false);

function onBackKeyDown()
{
    var mainClass = $('#page_main_0').attr("class");
    var serviceClass = $('#page_service').attr("class");
    //var serviceClass = $('#page_live').attr("class");
    var functionClass = $('#page_function').attr("class");
    var userClass = $('#page_user').attr("class");
    var view=$.afui.findViewTarget($.afui.activeDiv);
    //var historyCount = $.afui.views[view.prop("id")].length;
    if (mainClass.indexOf('active') != -1
        || serviceClass.indexOf('active') != -1
        || functionClass.indexOf('active') != -1
        || userClass.indexOf('active') != -1
        || view.prop("id") == "mainview") {
        f_toast('再次按返回退出!');
        document.removeEventListener("backbutton", onBackKeyDown, false); // 注销返回键
        document.addEventListener("backbutton", exitApp, false);//绑定退出事件
        // 3秒后重新注册
        var intervalID = window.setInterval(function() {
            window.clearInterval(intervalID);
            document.removeEventListener("backbutton", exitApp, false); // 注销返回键
            document.addEventListener("backbutton", onBackKeyDown, false); // 返回键
        }, 2000);
    }
    else if (view.prop("id") == "detailView")
    {
        f_openPanel(_currentPanelId, 'slide:back');
    }
    else if (view.prop("id") == "serviceListValue")
    {
        f_openPanel('page_service','slide:back');
    }
    else if (view.prop("id") == "serviceDetailView")
    {
        f_openPanel('page_service_list','slide:back');
    }
    else if (view.prop("id") == "IframeView")
    {
        f_openPanel('page_function','slide:back');
    }
    else if (view.prop("id") == "defineView"
        || view.prop("id") == "focusView")
    {
        f_returnPanel('page_user');
    }
    else {
        $.afui.goBack()
    }
}

function exitApp(){
    navigator.app.exitApp();
}

$.afui.ready(function () {
	$(document.body).get(0).className = 'appframework';
	f_initScroll("page_main_0");
});

$(document).ready(function () {
	f_loadModule();
	$.afui.launch();
	f_initLanguage();
	f_initDisplayMode();
	f_loadSort();
	$("#mainPanels").find("div[type='list']").each(function () {
		$(this).bind("swipeLeft", function () {
			f_next(this);
		});
		$(this).bind("swipeRight", function () {
			f_pre(this);
		});
	});
	$("#videoPanels").find("div[type='list']").each(function () {
		$(this).bind("swipeLeft", function () {
			f_next(this);
		});
		$(this).bind("swipeRight", function () {
			f_pre(this);
		});
	});
	$("#page_detail").bind("swipeRight", function () {
	    f_openPanel(_currentPanelId, "slide:back");
	});
	$("#page_favorites").bind("swipeRight", function () {
		f_returnPanel('page_user');
	});
	$("#page_focus").bind("swipeRight", function () {
		f_returnPanel('page_user');
	});
	$("#page_define").bind("swipeRight", function () {
		f_returnPanel('page_user');
	});
	$("#page_about").bind("swipeRight", function () {
		f_returnPanel('page_user');
	});
	$("#page_feedback").bind("swipeRight", function () {
		f_returnPanel('page_user');
	});
	$("#page_code").bind("swipeRight", function () {
		f_returnPanel('page_user');
	});
	$("#page_new").bind("swipeRight", function () {
		f_returnPanel('page_user');
	});
	$("#page_search").bind("swipeRight", function () {
		f_closeSearchPanel();
	});
	$("#page_discuss").bind("swipeRight", function () {
		f_openPanel("page_detail", "slide:back");
	});
	$("#page_service_list").bind("swipeRight", function () {
		f_openPanel("page_service", "slide:back");
	});
	$("#page_service_detail").bind("swipeRight", function () {
		//history.back(-1);
		f_openPanel("page_service_list", "slide:back");
	});
	f_checkVersion();
});

function f_loadSort() {
	Sortable.create(document.getElementById('page_settle_module'),
    {
    	animation: 150, //动画参数
    	onEnd: function (evt) {
    		//alert($(evt.item).attr("mdlId"));
    		f_resetUsrModule();
    	}
    });
}

$.afui.animateHeader(true);

//初始化夜间模式
function f_initDisplayMode() {
	if (_nightClass == "Night") {
	    $("#btnModuleDefine").attr("src","imgs/angle-downN.png");
		//首页
		$("#mainPanels").find("div[type='list']").each(function () {
			$(this).addClass("NightPanel");
		});
		//视频
		$("#videoPanels").find("div[type='list']").each(function () {
			$(this).addClass("NightPanel");
		});
		$("li[class='tabUnselected']").each(function () {
			$(this).attr("class", "tabUnselectedNight");
		});
		//内容
		$("#page_detail").addClass("NightPanel");
		//关注
		$("#page_focus").addClass("NightPanel");
		//我的
		$("#page_user").addClass("NightPanel");
		//登录
		$("#page_login").addClass("NightPanel");
		//注册
		$("#page_reg").addClass("NightPanel");
		//设置
		$("#page_define").addClass("NightPanel");
		//关于
		$("#page_about").addClass("NightPanel");
		//意见反馈
		$("#page_feedback").addClass("NightPanel");

		//头部
		$("header").css("border-bottom", "1px solid #464646");
		//底部
		$("footer").css("background-color", "#252525");
		$("footer").css("border-top", "0px");
		//导航
		$("#navigation").css("background-color", "#252525");
		//导航
		$("#videonavigation").css("background-color", "#252525");

		$("#btnReply").attr("src", "imgs/btnReplyN.png");
		$("#btnFavorites").attr("src", "imgs/btnFocusN.png");
		$("#btnShare").attr("src", "imgs/btnShareN.png");
		$("Footer").css("background-color", "#1B1B1B");
		$("#divWeather").css("background-color", "#4A6575");
	}
	else {
	    $("#btnModuleDefine").attr("src","imgs/angle-down.png");
		//首页
		$("#mainPanels").find("div[type='list']").each(function () {
			$(this).removeClass("NightPanel");
		});
		//视频
		$("#videoPanels").find("div[type='list']").each(function () {
			$(this).removeClass("NightPanel");
		});
		$("li[class='tabUnselectedNight']").each(function () {
			$(this).attr("class", "tabUnselected");
		});
		//内容
		$("#page_detail").removeClass("NightPanel");
		//关注
		$("#page_focus").removeClass("NightPanel");
		//我的
		$("#page_user").removeClass("NightPanel");
		//登录
		$("#page_login").removeClass("NightPanel");
		//注册
		$("#page_reg").removeClass("NightPanel");
		//设置
		$("#page_define").removeClass("NightPanel");
		//关于
		$("#page_about").removeClass("NightPanel");
		//意见反馈
		$("#page_feedback").removeClass("NightPanel");

		//头部
		$("header").css("border-bottom", "");
		//底部
		$("footer").css("background-color", "");
		$("footer").css("border-top", "");
		//导航
		$("#navigation").css("background-color", "");
		//导航
		$("#videonavigation").css("background-color", "");

		$("#btnReply").attr("src", "imgs/btnReply.png");
		$("#btnFavorites").attr("src", "imgs/btnFocus.png");
		$("#btnShare").attr("src", "imgs/btnShare.png");
		$("Footer").css("background-color", "");
		$("#divWeather").css("background-color", "#74A4BB");
	}
}


function f_loadWeather() {
    var color = "FFFFFF";
    if (_nightClass == "Night") {
        color = "9D9D9E";
    }
	$.ajax({
		url: _serviceUrl,
		type: "POST",
		cache: false,
		dataType: "jsonp",
		jsonp: "f_loadWeatherCallback",
		contentType: "application/json;charset=utf-8",
		data:
		{
			"action": "getWeather",
			"color": color,
			"callBack": "f_loadWeatherCallback"
		},
		timeout: 5000
	});
}

function f_loadWeatherCallback(dataJSON) {
	if (dataJSON.result == "suc") {
	    var color = "FFFFFF";
        if (_nightClass == "Night") {
            color = "9D9D9E";
        }
	    $("#divWeather").css("padding-bottom","4px");
	    var html = "<div style='padding:6px 6px 0px 6px;color:#"+ color +";text-align:center'>澳門天氣</div>";
	    html += dataJSON.weather;
	    $("#divWeather").html(html);
	}
}

function f_openWeather()
{
    cordova.InAppBrowser.open('http://www.smg.gov.mo/smg/latestWeather/c_weatherForecast7days.htm', '_blank');
}

//初始化语言模式
function f_initLanguage() {
	if (localStorage.getItem('_defineLanguage') != null && localStorage.getItem('_defineLanguage') == "中文繁体") {
		$("footer").each(function () {
			$(this).find("a[href='#page_main_0']").html('首頁');
		});
		$("#page_detail_reply").attr("placeholder", "寫評論...");
		$("#page_defineHeadPic").html("頭像");
		$("#page_defineShowIntro").html("清單顯示摘要");
		$("#page_defineDayOrNight").html("夜間模式");
		$("#page_defineFontsize").html("字體大小");
		$("#page_defineLanguage").html("語言");
		$("#currentVersion").html("當前版本");
		$("#page_user_define").html("設置");
		$("#page_user_focus").html("我的關注");
		$("#page_user_about").html("關於澳門頭條");
		$("#page_user_feedback").html("意見回饋");
		$("#page_user_logout").html("退出登錄");
	}
	else {
		$("footer").each(function () {
			$(this).find("a[href='#page_main_0']").html('首页');
		});
		$("#page_detail_reply").attr("placeholder", "写评论...")
		$("#page_defineHeadPic").html("头像");
		$("#page_defineShowIntro").html("列表显示摘要");
		$("#page_defineDayOrNight").html("夜间模式");
		$("#page_defineFontsize").html("字体大小");
		$("#page_defineLanguage").html("语言");
		$("#currentVersion").html("当前版本");
		$("#page_user_define").html("设置");
		$("#page_user_focus").html("我的关注");
		$("#page_user_about").html("关于澳门头条");
		$("#page_user_feedback").html("意见反馈");
		$("#page_user_logout").html("退出登录");
	}
}

function f_loadModule() {
	if (localStorage.getItem('_defineLanguage') != null && localStorage.getItem('_defineLanguage') == "中文繁体") {
		$("#tabs").html('<li class=\"tabSelected\" id=\"tab_0\" onclick=\"f_clickTab(\'page_main_0\')\">頭條</li>');
		$("#videotabs").html('<li class=\"tabSelected\" id=\"videotab_0\" onclick=\"f_clickTab(\'page_video_0\')\">頭條</li>');
	}
	else {
		$("#tabs").html('<li class=\"tabSelected\" id=\"tab_0\" onclick=\"f_clickTab(\'page_main_0\')\">头条</li>');
		$("#videotabs").html('<li class=\"tabSelected\" id=\"videotab_0\" onclick=\"f_clickTab(\'page_video_0\')\">头条</li>');
	}
	$.ajax({
		url: _serviceUrl,
		type: "POST",
		cache: false,
		dataType: "jsonp",
		jsonp: "f_loadModuleCallback",
		contentType: "application/json;charset=utf-8",
		data:
		{
			"action": "getModule",
			"callBack": "f_loadModuleCallback"
		},
		timeout: 5000
	});
}

function f_loadModuleCallback(dataJSON) {
	if (dataJSON.result == "suc") {
		$("#page_settle_module").html('');
		$("#page_settle_allmodule").html('');

		//加载所有的频道到频道推荐
		if (localStorage.getItem('_defineLanguage') != null && localStorage.getItem('_defineLanguage') == "中文繁体") {
			for (i = 0; i < dataJSON.data.length; i++) {
				$("#page_settle_allmodule").append("<li mdlId=\"" + dataJSON.data[i].MdlId + "\" mdlName=\"" + dataJSON.data[i].MdlName + "\" mdlNameFT=\"" + dataJSON.data[i].MdlNameFT + "\" onclick=\"f_addModule(" + dataJSON.data[i].MdlId + ")\">" + dataJSON.data[i].MdlNameFT + "</li>")
			}
		}
		else {
			for (i = 0; i < dataJSON.data.length; i++) {
				$("#page_settle_allmodule").append("<li mdlId=\"" + dataJSON.data[i].MdlId + "\" mdlName=\"" + dataJSON.data[i].MdlName + "\" mdlNameFT=\"" + dataJSON.data[i].MdlNameFT + "\" onclick=\"f_addModule(" + dataJSON.data[i].MdlId + ")\">" + dataJSON.data[i].MdlName + "</li>")
			}
		}

		//取当前用户订阅的频道
		var usrModules = localStorage.getItem('_usrModules');
		if (usrModules == null || usrModules == "") {
			var modules = "{\"data\":[";
			for (i = 0; i < dataJSON.data.length; i++) {
				if (i > 0) {
					modules += ",";
				}
				modules += "{";
				modules += "\"MdlId\":\"" + dataJSON.data[i].MdlId + "\",";
				modules += "\"MdlName\":\"" + dataJSON.data[i].MdlName + "\",";
				modules += "\"MdlNameFT\":\"" + dataJSON.data[i].MdlNameFT + "\"";
				modules += "}";
			}
			modules += "]}";
			localStorage.setItem('_usrModules', modules);
		}

		//加载用户频道
		usrModules = localStorage.getItem('_usrModules');
		dataJSON = JSON.parse(usrModules);
		var moduleIndex = 1;
		if (localStorage.getItem('_defineLanguage') != null && localStorage.getItem('_defineLanguage') == "中文繁体") {
			for (i = 0; i < dataJSON.data.length; i++) {
			    if ($("#page_settle_allmodule").find("li[mdlId=\"" + dataJSON.data[i].MdlId + "\"]").length > 0)
			    {
                    f_appendPanel(moduleIndex, dataJSON.data[i].MdlNameFT, moduleIndex + 1, moduleIndex - 1, dataJSON.data[i].MdlId);
                    //f_appendVideoPanel(i + 1, dataJSON.data[i].MdlNameFT, i + 2, i, dataJSON.data[i].MdlId);
                    moduleIndex ++;

                    //加载频道到频道设置
                    $("#page_settle_module").append("<li mdlId=\"" + dataJSON.data[i].MdlId + "\" mdlName=\"" + dataJSON.data[i].MdlName + "\" mdlNameFT=\"" + dataJSON.data[i].MdlNameFT + "\">" + dataJSON.data[i].MdlNameFT + "<span onclick=\"f_deleteModule(" + dataJSON.data[i].MdlId + ")\" /></li>");
                    //从频道推荐中移除
                    $("#page_settle_allmodule").find("li[mdlId=\"" + dataJSON.data[i].MdlId + "\"]").each(function () {
                        $(this).remove();
                    });
				}
			}
		}
		else {
			for (i = 0; i < dataJSON.data.length; i++) {
			    if ($("#page_settle_allmodule").find("li[mdlId=\"" + dataJSON.data[i].MdlId + "\"]").length > 0)
                {
                    f_appendPanel(moduleIndex, dataJSON.data[i].MdlName, moduleIndex + 1, moduleIndex - 1, dataJSON.data[i].MdlId);
                    //f_appendVideoPanel(i + 1, dataJSON.data[i].MdlName, i + 2, i, dataJSON.data[i].MdlId);
                    moduleIndex ++;

                    //加载频道到频道设置
                    $("#page_settle_module").append("<li mdlId=\"" + dataJSON.data[i].MdlId + "\" mdlName=\"" + dataJSON.data[i].MdlName + "\" mdlNameFT=\"" + dataJSON.data[i].MdlNameFT + "\">" + dataJSON.data[i].MdlName + "<span onclick=\"f_deleteModule(" + dataJSON.data[i].MdlId + ")\" /></li>");
                    //从频道推荐中移除
                    $("#page_settle_allmodule").find("li[mdlId=\"" + dataJSON.data[i].MdlId + "\"]").each(function () {
                        $(this).remove();
                    });
				}
			}
		}
        $("#tabs").append("<li style=\"width:50px;\">&nbsp;</li>");
	}
	else {
		f_error(dataJSON.msg);
	}
}

//从订阅中删除频道
function f_deleteModule(mdlId) {
	var moduleLI = $("#page_settle_module").find("li[mdlId='" + mdlId + "']");

	//添加到推荐频道中
	$("#page_settle_allmodule").append("<li mdlId=\"" + moduleLI.attr("MdlId") + "\" mdlName=\"" + moduleLI.attr("MdlName") + "\" mdlNameFT=\"" + moduleLI.attr("MdlNameFT") + "\" onclick=\"f_addModule(" + moduleLI.attr("MdlId") + ")\">" + moduleLI.html() + "</li>");

	//订阅中移除
	moduleLI.remove();

	//重新设置用户订阅设置
	f_resetUsrModule();
}

//添加订阅
function f_addModule(mdlId) {
	var moduleLI = $("#page_settle_allmodule").find("li[mdlId='" + mdlId + "']");

	//添加到订阅频道中
	$("#page_settle_module").append("<li mdlId=\"" + moduleLI.attr("MdlId") + "\" mdlName=\"" + moduleLI.attr("MdlName") + "\" mdlNameFT=\"" + moduleLI.attr("MdlNameFT") + "\">" + moduleLI.html() + "<span onclick=\"f_deleteModule(" + moduleLI.attr("MdlId") + ")\" /></li>");

	//频道推荐中移除
	moduleLI.remove();

	//重新设置用户订阅设置
	f_resetUsrModule();
}

function f_resetUsrModule() {
	var modules = "{\"data\":[";
	var index = 0;
	$("#page_settle_module").find("li").each(function () {
		if (index > 0) {
			modules += ",";
		}
		modules += "{";
		modules += "\"MdlId\":\"" + $(this).attr("mdlId") + "\",";
		modules += "\"MdlName\":\"" + $(this).attr("mdlName") + "\",";
		modules += "\"MdlNameFT\":\"" + $(this).attr("mdlNameFT") + "\"";
		modules += "}";

		index++;
	});
	modules += "]}";
	localStorage.setItem('_usrModules', modules);
}

function f_loadIndexAdv() {
	$.ajax({
		url: _serviceUrl,
		type: "POST",
		cache: false,
		dataType: "jsonp",
		jsonp: "f_loadIndexAdvCallback",
		contentType: "application/json;charset=utf-8",
		data:
		{
			"action": "getIndexAdv",
			"callBack": "f_loadIndexAdvCallback"
		},
		timeout: 5000
	});
}

function f_loadIndexAdvCallback(dataJSON) {
	if (dataJSON.result == "suc") {
		var advPic1 = dataJSON.AdvPic;
		var advPic2 = dataJSON.AdvPic2;
		var advPic3 = dataJSON.AdvPic3;
		if (advPic1 != "")
		{
            $("#indexAdv").html('<img src="'+ advPic1 +'" style="width:100%;height:100%" />');
        }
	}
	else {
		f_error(dataJSON.msg);
	}
}

function f_next(sender) {
    _isRefresh = true;
	var nextPanel = $(sender).attr('next');
	if (nextPanel != null && nextPanel != "") {
	    f_clearHistory();
		var tabId = $("#" + nextPanel).attr('tab');
		if (tabId != null && tabId != "") {
			f_changeTab(tabId);

			//保持当前tab居中
			var windowWidth = $(window).width() - 30;
			if ($("#tabs").width() > windowWidth) {
			    $("#navigation").scrollLeft($("#" + tabId).position().left);
			}
		}
		f_openPanel(nextPanel);
		f_initScroll(nextPanel);
		if (nextPanel == "page_main_0") {
			f_loadHeadline("page_main_0", "data");
		}
		else if (nextPanel == "page_video_0") {
			f_loadHeadline("page_video_0", "video");
		}
		else {
			f_loadData(nextPanel);
		}
		_currentPanelId = nextPanel;
	}
}

function f_pre(sender) {
    _isRefresh = true;
	var prePanel = $(sender).attr('pre');
	if (prePanel != null && prePanel != "") {
	    f_clearHistory();
		var tabId = $("#" + prePanel).attr('tab');
		if (tabId != null && tabId != "") {
			f_changeTab(tabId);

			//保持当前tab居中
			var windowWidth = $(window).width() - 30;
			if ($("#tabs").width() > windowWidth) {
			    $("#navigation").scrollLeft($("#" + tabId).position().left);
			}
		}

		f_openPanel(prePanel, "slide:back");
		f_initScroll(prePanel);
		if (prePanel == "page_main_0") {
			f_loadHeadline("page_main_0", "data");
		}
		else if (prePanel == "page_video_0") {
			f_loadHeadline("page_video_0", "video");
		}
		else {
			f_loadData(prePanel);
		}
		_currentPanelId = prePanel;
	}
}

function f_clickTab(panelId) {
    _isRefresh = true;
	var tabId = $("#" + panelId).attr('tab');
	if (tabId != null && tabId != "") {
	    f_clearHistory();
		f_changeTab(tabId);
	}
	var nextPanelIndex = $("#" + panelId).attr("current");
	if (parseInt(_currentPanelIndex) < parseInt(nextPanelIndex)) {
		f_openPanel(panelId);
	}
	else {
		f_openPanel(panelId, "slide:back");
	}
	f_initScroll(panelId);
	if (panelId == "page_main_0") {
		f_loadHeadline("page_main_0", "data");
	}
	else if (panelId == "page_video_0") {
		f_loadHeadline("page_video_0", "video");
	}
	else {
		f_loadData(panelId);
	}
	_currentPanelId = panelId;
}

function f_changeTab(tabId) {
	var defineDayOrNight = localStorage.getItem('_defineDayOrNight');
	var tabClass = "";
	if (defineDayOrNight != null && defineDayOrNight == "打开") {
		tabClass = "Night";
	}

	if (tabId.indexOf("video") == -1) {
		$("#navigation").find("li").each(function () {
			$(this).attr("class", "tabUnselected" + tabClass);
		});
	}
	else {
		$("#videonavigation").find("li").each(function () {
			$(this).attr("class", "tabUnselected" + tabClass);
		});
	}
	$("#" + tabId).attr("class", "tabSelected");
}

function f_appendPanel(index, title, nextIndex, preIndex, mdlId) {
	var defineDayOrNight = localStorage.getItem('_defineDayOrNight');
	var nightClass = "";
	var tabClass = "";
	if (defineDayOrNight != null && defineDayOrNight == "打开") {
		nightClass = " NightPanel";
		tabClass = "Night";
	}

	var next = "";
	if (nextIndex != "") {
		next = "page_main_" + nextIndex;
	}
	var pre = "";
	if (preIndex != "" || preIndex == 0) {
		pre = "page_main_" + preIndex.toString();
	}
	var tab = "<li class=\"tabUnselected" + tabClass + "\" id=\"tab_" + index + "\" onclick=\"f_clickTab('page_main_" + index + "')\">" + title + "</li>";
	var panel = "<div class=\"panel" + nightClass + "\" type=\"list\" id=\"page_main_" + index + "\" current=\"" + index + "\" next=\"" + next + "\" pre=\"" + pre + "\" tab=\"tab_" + index + "\" data-title=\"" + title + "\" mdlId=\"" + mdlId + "\" page=\"1\">";
	panel += "<div class=\"scroller\">";
	panel += "<div class=\"scroller-pullDown\">";
	panel += "<span class=\"icon-double-angle-down pull-down-icon\"></span>";
	panel += "<span class=\"pull-down-msg\"><img src=\"imgs/loading.gif\" align=\"absmiddle\" />&nbsp;澳門人 澳門事</span>";
	panel += "</div>";
	panel += "<div id=\"page_main_" + index + "_container\">&nbsp;</div>";
	panel += "<div class=\"scroller-pullUp\">";
	panel += "<span class=\"icon-double-angle-up pull-up-icon\"></span>";
	panel += "<span class=\"pull-up-msg\">上拉載入更多</span>";
	panel += "</div>";
	panel += "</div>";
	panel += "</div>";
	$("#tabs").append(tab);
	$("#mainPanels").append(panel);

	$("#page_main_" + index).bind("swipeLeft", function () {
		f_next(this);
	});
	$("#page_main_" + index).bind("swipeRight", function () {
		f_pre(this);
	});
}

function f_appendVideoPanel(index, title, nextIndex, preIndex, mdlId) {
	var defineDayOrNight = localStorage.getItem('_defineDayOrNight');
	var nightClass = "";
	var tabClass = "";
	if (defineDayOrNight != null && defineDayOrNight == "打开") {
		nightClass = " NightPanel";
		tabClass = "Night";
	}

	var next = "";
	if (nextIndex != "") {
		next = "page_video_" + nextIndex;
	}
	var pre = "";
	if (preIndex != "") {
		pre = "page_video_" + preIndex;
	}
	var tab = "<li class=\"tabUnselected" + tabClass + "\" id=\"videotab_" + index + "\" onclick=\"f_clickTab('page_video_" + index + "')\">" + title + "</li>";
	var panel = "<div class=\"panel" + nightClass + "\" type=\"list\" id=\"page_video_" + index + "\" current=\"" + index + "\" next=\"" + next + "\" pre=\"" + pre + "\" tab=\"videotab_" + index + "\" data-title=\"" + title + "\" mdlId=\"" + mdlId + "\" page=\"1\">";
	panel += "<div class=\"scroller\">";
	panel += "<div class=\"scroller-pullDown\">";
	panel += "<span class=\"icon-double-angle-down pull-down-icon\"></span>";
	panel += "<span class=\"pull-down-msg\">正在刷新</span>";
	panel += "</div>";
	panel += "<div id=\"page_video_" + index + "_container\">&nbsp;</div>";
	panel += "<div class=\"scroller-pullUp\">";
	panel += "<span class=\"icon-double-angle-up pull-up-icon\"></span>";
	panel += "<span class=\"pull-up-msg\">加载更多</span>";
	panel += "</div>";
	panel += "</div>";
	panel += "</div>";
	$("#videotabs").append(tab);
	$("#videoPanels").append(panel);

	$("#page_video_" + index).bind("swipeLeft", function () {
		f_next(this);
	});
	$("#page_video_" + index).bind("swipeRight", function () {
		f_pre(this);
	});
}

//显示关注列表
function f_loadFocus(refresh) {
	if ($("#FocusContainer").html() == '' || refresh != null && refresh == true) {
		var usrFocus = localStorage.getItem('_usrFocus');
		if (usrFocus != null)
		{
            var dataJSON = JSON.parse(usrFocus);
            var html = "";
            for (i = 0; i < dataJSON.data.length; i++) {
                html += "<div class=\"FocusList\" onclick=\"f_loadPartner(this)\" usrId=\"" + dataJSON.data[i].UsrId + "\">";
                html += "<div class=\"FocusListImg\"><img src=\"" + _applicationUrl + "/" + dataJSON.data[i].UsrLogo + "\" /></div>";
                html += "<div class=\"FocusListName\">" + dataJSON.data[i].UsrName + "</div>";
                html += "<div class=\"FocusListInfor\">" + dataJSON.data[i].UsrIntro + "</div>";
                html += "<div style=\"clear:both;\"></div>";
                html += "</div>";
            }
		}
	    $("#FocusContainer").html(html);
	}
}

//添加关注
function f_focus(usrId) {
	$.afui.showMask("<img src='imgs/amrams.png' /><br /><img src=\"imgs/loading2.gif\" align=\"absmiddle\" />", 30000);
	$.ajax({
		url: _serviceUrl,
		type: "POST",
		cache: false,
		dataType: "jsonp",
		jsonp: "f_focusCallback",
		contentType: "application/json;charset=utf-8",
		data:
        {
        	"action": "getUser",
        	"usrId": usrId,
        	"callBack": "f_focusCallback"
        },
		timeout: 5000
	});
}

function f_focusCallback(dataJSON) {
	var allFocus = ",0,";
	var focus = "{\"data\":[";

	var usrFocus = localStorage.getItem('_usrFocus');
	if (usrFocus != null && usrFocus != "") {
		var dataJSON2 = JSON.parse(usrFocus);
		for (i = 0; i < dataJSON2.data.length; i++) {
			if (allFocus.indexOf(',' + dataJSON2.data[i].UsrId + ',') == -1) {
				focus += "{";
				focus += "\"UsrId\":\"" + dataJSON2.data[i].UsrId + "\",";
				focus += "\"UsrName\":\"" + dataJSON2.data[i].UsrName + "\",";
				focus += "\"UsrLogo\":\"" + dataJSON2.data[i].UsrLogo + "\",";
				focus += "\"UsrIntro\":\"" + dataJSON2.data[i].UsrIntro + "\"";
				focus += "},";

				allFocus += dataJSON2.data[i].UsrId + ',';
			}
		}
	}

	if (allFocus.indexOf(',' + dataJSON.UsrId + ',') == -1) {
		focus += "{";
		focus += "\"UsrId\":\"" + dataJSON.UsrId + "\",";
		focus += "\"UsrName\":\"" + dataJSON.UsrName + "\",";
		focus += "\"UsrLogo\":\"" + dataJSON.UsrLogo + "\",";
		focus += "\"UsrIntro\":\"" + dataJSON.UsrIntro + "\"";
		focus += "}";
	}
	else {
		focus += "{";
		focus += "\"UsrId\":\"0\",";
		focus += "\"UsrName\":\"\",";
		focus += "\"UsrLogo\":\"\",";
		focus += "\"UsrIntro\":\"\"";
		focus += "}";
	}
	focus += "]}";
	localStorage.setItem('_usrFocus', focus);
	$.afui.hideMask();
	f_alert('关注成功');
}

//收藏
function f_favorites(id) {
	var allFav = localStorage.getItem('_usrFavorites');
	if (allFav == null || allFav == "") {
		allFav = "0";
	}
	if ((',' + allFav + ',').indexOf(',' + id + ',') == -1) {
		allFav += "," + id;
	}
	localStorage.setItem('_usrFavorites', allFav);
	if (_nightClass == "Night") {
		$("#btnFavorites").attr("src", "imgs/btnFocusedN.png").attr("onclick", "f_removeFavorites(" + id + ")");
	}
	else {
		$("#btnFavorites").attr("src", "imgs/btnFocused.png").attr("onclick", "f_removeFavorites(" + id + ")");
	}
}

//取消收藏
function f_removeFavorites(id) {
	var allFav = localStorage.getItem('_usrFavorites');
	if (allFav != null && allFav != "") {
		allFav = "," + allFav + ",";
		allFav = allFav.replace("," + id + ",", ",");
		allFav = allFav.substring(1, allFav.length - 1);
	}
	localStorage.setItem('_usrFavorites', allFav);
	if (_nightClass == "Night") {
		$("#btnFavorites").attr("src", "imgs/btnFocusN.png").attr("onclick", "f_favorites(" + id + ")");
	}
	else {
		$("#btnFavorites").attr("src", "imgs/btnFocus.png").attr("onclick", "f_favorites(" + id + ")");
	}
}

function f_closeSearchPanel() {
	f_returnPanel('page_main_' + _currentPanelIndex);
	if (_currentPanelIndex == "0") {
		f_loadHeadline('page_main_0', 'data');
	}
	else {
		f_loadData('page_main_' + _currentPanelIndex);
	}
	f_initScroll('page_main_' + _currentPanelIndex);
}

function f_showDiscuss() {
	$("#page_detail_discuss").hide();
	$("#page_detail_discussCount").hide();
	$("#page_detail_discuss_container").show();
	$("#page_detail_discuss_container_textarea").focus();
	$("#detailViewFooter").css("height", "130px");
}

function f_hideDiscuss() {
	if ($("#page_detail_discuss_container_textarea").val() == '') {
		if ($("#page_detail_discussCount").html() != "0") {
			$("#page_detail_discussCount").show();
		}
		$("#page_detail_discuss").show();
		$("#page_detail_discuss_container").hide();
		$("#detailViewFooter").css("height", "45px");
	}
}

function f_changeDiscuss() {
	if ($("#page_detail_discuss_container_textarea").val() != '') {
		$("#page_detail_discuss_container_button").css("background-color", "#F85959");
	}
	else {
		$("#page_detail_discuss_container_button").css("background-color", "#F9AAAA");
	}
}

function f_saveDiscuss() {
	var datId = $("#page_detail").attr("datId");
	var usrId = "0";
	var content = $("#page_detail_discuss_container_textarea").val();
	if (content == "") {
		f_error("请编辑评论后提交");
		$("#page_detail_discuss_container_textarea").focus();
		return false;
	}

	$.afui.showMask("保存中……", 30000);
	$.ajax({
		url: _serviceUrl,
		type: "POST",
		cache: false,
		dataType: "jsonp",
		jsonp: "f_saveDiscussCallback",
		contentType: "application/json;charset=utf-8",
		data:
		{
			"action": "saveDiscuss",
			"content": encodeURIComponent(content),
			"datId": datId,
			"usrId": usrId,
			"callBack": "f_saveDiscussCallback"
		},
		timeout: 5000
	});
}

function f_saveDiscussCallback(dataJSON) {
	$.afui.hideMask();

	if (dataJSON.result == "suc") {
		alert("您的评论已经成功提交!");
		$("#page_detail_discuss_container_textarea").val('').blur();
		f_openPanel('page_discuss');
		f_loadDiscuss()
	}
	else {
		f_error(dataJSON.msg);
	}
}

//检查版本
function f_checkVersion() {
	$.ajax({
		url: _serviceUrl,
		type: "POST",
		cache: false,
		dataType: "jsonp",
		jsonp: "f_checkVersionCallback",
		contentType: "application/json;charset=utf-8",
		data:
		{
			"action": "getupgrade",
			"version": encodeURIComponent(_currentVersion),
			"callBack": "f_checkVersionCallback"
		},
		timeout: 5000
	});
}

function f_checkVersionCallback(dataJSON) {
	if (dataJSON.result == "suc") {
		var url = dataJSON.url;
		if (url != "") {
			$.afui.popup({
				title: "新版本",
				message: "检测到新版本，是否升级？",
				cancelText: "暂时不升级",
				cancelCallback: function () {
					//console.log("cancelled");
				},
				doneText: "下载安装",
				doneCallback: function () {
					cordova.InAppBrowser.open(url, '_system');
				},
				cancelOnly: false
			});
		}
	}
}

//检查版本
function f_checkVersionByUser() {
	$.ajax({
		url: _serviceUrl,
		type: "POST",
		cache: false,
		dataType: "jsonp",
		jsonp: "f_checkVersionByUserCallback",
		contentType: "application/json;charset=utf-8",
		data:
		{
			"action": "getupgrade",
			"version": encodeURIComponent(_currentVersion),
			"callBack": "f_checkVersionByUserCallback"
		},
		timeout: 5000
	});
}

function f_checkVersionByUserCallback(dataJSON) {
	if (dataJSON.result == "suc") {
		var url = dataJSON.url;
		if (url != "") {
			$.afui.popup({
				title: "新版本",
				message: "检测到新版本，是否升级？",
				cancelText: "暂时不升级",
				cancelCallback: function () {
					//console.log("cancelled");
				},
				doneText: "下载安装",
				doneCallback: function () {
					cordova.InAppBrowser.open(url, '_system');
				},
				cancelOnly: false
			});
		}
		else {
			alert('当前已经是最新版本');
		}
	}
}

//推荐给朋友
function f_recommend()
{
    var msg = "";
    if (localStorage.getItem('_usrId') != null && localStorage.getItem('_usrId') != "")
    {
        msg += "推荐码：[" + localStorage.getItem('_usrId') +"],";
    }
    msg += "澳門頭條APP下載:";

    window.plugins.socialsharing.shareVia('com.tencent.mm',msg, null, null, 'http://www.zhzxlh.com:8095/m/download.html')
}

function f_stopAllVideo(currentId)
{
    $("video").each(function(){
        if ($(this).attr("id") != currentId)
        {
            document.getElementById($(this).attr("id")).pause();
        }
    })
}

function f_focusOnMain() {
	$('#btnMain').addClass('pressed');
	$('#btnService').removeClass('pressed');
	$('#btnFunction').removeClass('pressed');
	$('#btnUser').removeClass('pressed');
}

function f_getPhoto() {
    alert('1');
	navigator.camera.getPicture(onLoadPhotoUploadSuccess, onLoadPhotoFail, {
		destinationType: navigator.camera.DestinationType.FILE_URI,
		sourceType: Camera.PictureSourceType.PHOTOLIBRARY
	});
}

function onLoadPhotoUploadSuccess(imageURI) {
	var imagefilename = Number(new Date()) + ".jpg";
	imagefilename = "P" + localStorage.getItem('_usrId') + "_" + imagefilename;

	//此处执行文件上传的操作，上传成功后执行下面代码
	var options = new FileUploadOptions(); //文件参数选项
	options.fileKey = "file"; //向服务端传递的file参数的parameter name
	options.fileName = imagefilename; //文件名
	//options.fileName = imageURI.substr(imageURI.lastIndexOf('/') + 1);//文件名
	options.mimeType = "image/jpeg"; //文件格式，默认为image/jpeg
	var ft = new FileTransfer(); //文件上传类
	ft.onprogress = function (progressEvt) {//显示上传进度条
		if (progressEvt.lengthComputable) {
			navigator.notification.progressValue(Math.round((progressEvt.loaded / progressEvt.total) * 100));
		}
	}
	navigator.notification.progressStart("提醒", "当前上传进度");
	ft.upload(imageURI, encodeURI(_applicationUrl + '/m/upload.aspx'), function () {
		navigator.notification.progressStop(); //停止进度条

		var pic = "uploadfile/UserPhoto/" + imagefilename;
		localStorage.setItem('_usrLogo', pic);
        f_initUsrInfor();
		//navigator.notification.alert("头像更新成功！", null, "提醒");
	}, null, options);
}

function onLoadPhotoFail() {
	//alert('err');
}

function f_playVideo(videoUrl)
{
   // var videoUrl = STREAMING_VIDEO_URL;

    // Just play a video
    window.plugins.streamingMedia.playVideo(videoUrl);

    // Play a video with callbacks
    var options = {
    successCallback: function() {
        console.log("Video was closed without error.");
    },
    errorCallback: function(errMsg) {
        console.log("Error! " + errMsg);
    }
    //orientation: 'landscape'
    };
    window.plugins.streamingMedia.playVideo(videoUrl, options);
}