﻿function f_initUsrInfor() {
	var usrName = localStorage.getItem('_usrName');
	var usrInfor = "";
	if (usrName == null || usrName == "") {
		usrInfor += "<a href=\"#page_login\" data-transition=\"up-reveal\"><img src=\"imgs/photo.png\" style=\"margin-top:20px;border:0px;width:45px;\" /></a>";
		usrInfor += "<br />";
		usrInfor += "点击头像登录";
		$("#ullogout").hide();
	}
	else {
	    var usrIntegral = localStorage.getItem('_usrIntegral');
        if (usrIntegral == null || usrIntegral == "")
        {
            usrIntegral = "0";
        }
        usrInfor += "<div style=\"font-size:12px;text-align:left;padding-left:6px;\"><img src=\"imgs/dataw.png\" style=\"width:12px\" align=\"absmiddle\" />&nbsp;"+ usrIntegral +"</div>";

	    if (localStorage.getItem('_usrLogo') == null || localStorage.getItem('_usrLogo') == "") {
			usrInfor += "<img src=\"imgs/photo.png\" style=\"margin-bottom:6px;border:0px;\" />";
		}
		else {
		    usrInfor += "<span class=\"photo\" style=\"background-image:url('" + _applicationUrl + "/" + localStorage.getItem('_usrLogo') + "');background-size:cover;\"></span>"
		}
		usrInfor += "<br />";
		usrInfor += usrName;
		$("#ullogout").show();
	}

	$("#div_userInfor").html(usrInfor);
}

function f_validateLoginForm() {
	if ($("#login_username").val() != '' && $("#login_username").val() != '') {
		$("#btnLogin").attr("style", "border-radius: 20px;height:40px;background-color:#F85959;border:0px;padding:0px;line-height:40px;color:#ffffff;");
	}
	else {
		$("#btnLogin").attr("style", "border-radius: 20px;height:40px;background-color:#F9AAAA;border:0px;padding:0px;line-height:40px;color:#ffffff;");
	}
}

function f_login() {
	var userName = $("#login_username").val();
	var password = $("#login_password").val();

	if (userName == "") {
		f_error('请输入用户名或手机号码');
		$("#login_username").focus();
		return false;
	}

	if (password == "") {
		f_error('请输入密码');
		$("#login_password").focus();
		return false;
	}

	$.afui.showMask("登录中……", 30000);
	$.ajax({
		url: _serviceUrl,
		type: "POST",
		cache: false,
		dataType: "jsonp",
		jsonp: "f_loginCallback",
		contentType: "application/json;charset=utf-8",
		data:
		{
			"action": "login",
			"userName": encodeURIComponent(userName),
			"password": encodeURIComponent(password),
			"callBack": "f_loginCallback"
		},
		timeout: 5000
	});
}

function f_loginCallback(dataJSON)
{
	$.afui.hideMask();
	if (dataJSON.result == "suc") {
		localStorage.setItem('_usrId', dataJSON.usrId);
		localStorage.setItem('_usrNo', dataJSON.usrNo);
		localStorage.setItem('_usrName', dataJSON.usrName);
		localStorage.setItem('_usrLogo', dataJSON.usrLogo);
		localStorage.setItem('_usrIntro', dataJSON.usrIntro);
		localStorage.setItem('_usrIntegral', dataJSON.usrIntegral);

		f_initUsrInfor();
		f_returnPanel('page_user');
	}
	else {
		f_error(dataJSON.msg);
	}
}

function f_loginByQQ()
{
   var appintance = new app();
   appintance.ssoLogin();
}

function f_loginQQ(userid)
{
    $.afui.showMask("登录中……", 30000);
    $.ajax({
        url: _serviceUrl,
        type: "POST",
        cache: false,
        dataType: "jsonp",
        jsonp: "f_loginQQCallback",
        contentType: "application/json;charset=utf-8",
        data:
        {
            "action": "loginqq",
            "userid": encodeURIComponent(userid),
            "callBack": "f_loginQQCallback"
        },
        timeout: 5000
    });
}

function f_loginQQCallback(dataJSON)
{
    $.afui.hideMask();
	if (dataJSON.result == "suc") {
		localStorage.setItem('_usrId', dataJSON.usrId);
        localStorage.setItem('_usrNo', dataJSON.usrNo);
        localStorage.setItem('_usrName', dataJSON.usrName);
        localStorage.setItem('_usrLogo', dataJSON.usrLogo);
        localStorage.setItem('_usrIntro', dataJSON.usrIntro);
		localStorage.setItem('_usrIntegral', dataJSON.usrIntegral);

		f_initUsrInfor();
		f_openPanel("page_user");
	}
	else {
		f_error(dataJSON.msg);
	}
}



function f_loginByweibo()
{
   var appintance = new appweibo();
   appintance.ssoLogin();
}

function f_loginweibo(userid)
{
    $.afui.showMask("登录中……", 30000);
    $.ajax({
        url: _serviceUrl,
        type: "POST",
        cache: false,
        dataType: "jsonp",
        jsonp: "f_loginweiboCallback",
        contentType: "application/json;charset=utf-8",
        data:
        {
            "action": "loginweibo",
            "userid": encodeURIComponent(userid),
            "callBack": "f_loginweiboCallback"
        },
        timeout: 5000
    });
}

function f_loginweiboCallback(dataJSON)
{
    $.afui.hideMask();
	if (dataJSON.result == "suc") {
		localStorage.setItem('_usrId', dataJSON.usrId);
        localStorage.setItem('_usrNo', dataJSON.usrNo);
        localStorage.setItem('_usrName', dataJSON.usrName);
        localStorage.setItem('_usrLogo', dataJSON.usrLogo);
        localStorage.setItem('_usrIntro', dataJSON.usrIntro);
		localStorage.setItem('_usrIntegral', dataJSON.usrIntegral);

		f_initUsrInfor();
		f_openPanel("page_user");
	}
	else {
		f_error(dataJSON.msg);
	}
}

function f_reg() {
	var usrName = $("#reg_usrname").val();
	var usrTel = $("#reg_usrtel").val();
	var usrPwd = $("#reg_usrpwd").val();
	var usrPwd2 = $("#reg_usrpwd2").val();

	if (usrName == "") {
		f_error('请输入您的姓名');
		$("#reg_usrname").focus();
		return false;
	}

	if (usrTel == "") {
		f_error('请输入您的手机号码');
		$("#reg_usrtel").focus();
		return false;
	}

	if (usrPwd == "") {
		f_error('请输入密码');
		$("#reg_usrpwd").focus();
		return false;
	}

	if (usrPwd.length < 6) {
		f_error('密码请至少设置6位');
		$("#reg_usrpwd").focus();
		return false;
	}

	if (usrPwd != usrPwd2) {
		f_error('两次输入的密码不一致，请重新输入');
		$("#reg_usrpwd").val('');
		$("#reg_usrpwd2").val('');
		return false;
	}

	$.afui.showMask("保存中……", 30000);
	$.ajax({
		url: _serviceUrl,
		type: "POST",
		cache: false,
		dataType: "jsonp",
		jsonp: "f_regCallback",
		contentType: "application/json;charset=utf-8",
		data:
		{
			"action": "reg",
			"usrName": encodeURIComponent(usrName),
			"usrTel": encodeURIComponent(usrTel),
			"usrPwd": encodeURIComponent(usrPwd),
			"callBack": "f_regCallback"
		},
		timeout: 5000
	});
}

function f_regCallback(dataJSON)
{
	$.afui.hideMask();
	if (dataJSON.result == "suc") {
		localStorage.setItem('_usrId', dataJSON.usrId);
		localStorage.setItem('_usrTel', dataJSON.usrTel);
		localStorage.setItem('_usrName', dataJSON.usrName);
		localStorage.setItem('_usrIntegral', "0");

		f_alert('注册成功');
		f_initUsrInfor();
		f_openPanel("page_user");
	}
	else {
		f_error(dataJSON.msg);
	}
}

function f_logout() {
	if (confirm('确定退出登录吗？')) {
		$.afui.showMask("退出登录……", 30000);
		localStorage.setItem('_usrId', '');
		localStorage.setItem('_usrTel', '');
		localStorage.setItem('_usrName', '');
		localStorage.setItem('_usrIntegral', '');
		f_initUsrInfor();
		f_alert('退出登录成功');
		$.afui.hideMask();
	}
}

function f_initDefine() {
	var defineHeadPic = "";
	var usrLogo = localStorage.getItem('_usrLogo')
	if (usrLogo == null || usrLogo == "") {
		defineHeadPic += "<img src=\"imgs/photo.png\" style=\"width:30px;margin-bottom:6px;border:0px;\" />";
	}
	else {
		defineHeadPic += "<span class=\"photomini\" style=\"background-image:url('../" + localStorage.getItem('_usrLogo') + "');background-size:cover;\"></span>"
	}
	$("#defineHeadPic").html(defineHeadPic);

	var defineShowIntro = localStorage.getItem('_defineShowIntro');
	if (defineShowIntro != null && defineShowIntro != "") {
		$("#defineShowIntro").html(defineShowIntro);
	}

	var defineDayOrNight = localStorage.getItem('_defineDayOrNight');
	if (defineDayOrNight != null && defineDayOrNight != "") {
		$("#defineDayOrNight").html(defineDayOrNight);
	}

	var defineFontsize = localStorage.getItem('_defineFontsize');
	if (defineFontsize != null && defineFontsize != "") {
		$("#defineFontsize").html(defineFontsize);
	}

	var defineLanguage = localStorage.getItem('_defineLanguage');
	if (defineLanguage != null && defineLanguage != "") {
		$("#defineLanguage").html(defineLanguage);
	}

	var defineMsg = localStorage.getItem('_defineMsg');
	if (defineMsg != null && defineMsg != "") {
		$("#defineMsg").html(defineMsg);
	}
}

function f_defineShowIntro() {
	$.afui.actionsheet(
	[{
		text: '是',
		handler: function () {
			localStorage.setItem('_defineShowIntro', '是');
			f_initDefine();
		}
	}, {
		text: '否',
		handler: function () {
			localStorage.setItem('_defineShowIntro', '否');
			f_initDefine();
		}
	}]);
}

function f_defineDayOrNight() {
	$.afui.actionsheet(
	[{
		text: '打开',
		handler: function () {
			localStorage.setItem('_defineDayOrNight', '打开');
			f_initDefine();
			_nightClass = "Night";
			f_initDisplayMode();
		}
	}, {
		text: '关闭',
		handler: function () {
			localStorage.setItem('_defineDayOrNight', '关闭');
			f_initDefine();
			_nightClass = "";
			f_initDisplayMode();
		}
	}]);
}

function f_changeDayOrNight() {
    var defineDayOrNight = localStorage.getItem('_defineDayOrNight');
    if (defineDayOrNight == null || defineDayOrNight == "打开")
    {
        localStorage.setItem('_defineDayOrNight', '关闭');
        f_initDefine();
        _nightClass = "";
        f_initDisplayMode();
        $("#btnDayOrNight").html("<img src=\"imgs/sun-o.png\" style=\"height:22px;\" /><br />日间");
    }
    else
    {
        localStorage.setItem('_defineDayOrNight', '打开');
    	f_initDefine();
    	_nightClass = "Night";
    	f_initDisplayMode();
        $("#btnDayOrNight").html("<img src=\"imgs/moon-o.png\" style=\"height:22px;\" /><br />夜间");
    }
}

function f_defineFontsize() {
	$.afui.actionsheet(
	[{
		text: '特大',
		handler: function () {
			localStorage.setItem('_defineFontsize', '特大');
			f_initDefine();
		}
	}, {
		text: '大',
		handler: function () {
			localStorage.setItem('_defineFontsize', '大');
			f_initDefine();
		}
	}, {
		text: '标准',
		handler: function () {
			localStorage.setItem('_defineFontsize', '标准');
			f_initDefine();
		}
	}, {
		text: '小',
		handler: function () {
			localStorage.setItem('_defineFontsize', '小');
			f_initDefine();
		}
	}]);
}

function f_defineLanguage() {
	$.afui.actionsheet(
	[{
		text: '中文简体',
		handler: function () {
			localStorage.setItem('_defineLanguage', '中文简体');
			f_initDefine();
			f_initLanguage();
			f_loadModule();
		}
	}, {
		text: '中文繁体',
		handler: function () {
			localStorage.setItem('_defineLanguage', '中文繁体');
			f_initDefine();
			f_initLanguage();
			f_loadModule();
		}
	}]);
}

function f_defineMsg() {
	$.afui.actionsheet(
	[{
		text: '是',
		handler: function () {
			localStorage.setItem('_defineMsg', '是');
			f_initDefine();
		}
	}, {
		text: '否',
		handler: function () {
			localStorage.setItem('_defineMsg', '否');
			f_initDefine();
		}
	}]);
}

function f_getPhoto() {
	navigator.camera.getPicture(onLoadPhotoUploadSuccess, onLoadPhotoFail, {
		destinationType: navigator.camera.DestinationType.FILE_URI,
		sourceType: Camera.PictureSourceType.PHOTOLIBRARY
	});
}

function onLoadPhotoUploadSuccess(imageURI) {
	var imagefilename = Number(new Date()) + ".jpg";
	var usrType = localStorage.getItem('_usrType');
	if (usrType == "用户") {
		imagefilename = "P" + localStorage.getItem('_usrId') + "_" + imagefilename
	}
	else if (usrType == "商户") {
		imagefilename = "B" + localStorage.getItem('_usrId') + "_" + imagefilename
	}

	//此处执行文件上传的操作，上传成功后执行下面代码
	var options = new FileUploadOptions(); //文件参数选项
	options.fileKey = "file"; //向服务端传递的file参数的parameter name
	options.fileName = imagefilename; //文件名
	//options.fileName = imageURI.substr(imageURI.lastIndexOf('/') + 1);//文件名
	options.mimeType = "image/jpeg"; //文件格式，默认为image/jpeg
	var ft = new FileTransfer(); //文件上传类
	ft.onprogress = function (progressEvt) {//显示上传进度条
		if (progressEvt.lengthComputable) {
			navigator.notification.progressValue(Math.round((progressEvt.loaded / progressEvt.total) * 100));
		}
	}
	navigator.notification.progressStart("提醒", "当前上传进度");
	ft.upload(imageURI, encodeURI(_applicationUrl + '/m/upload.aspx'), function () {
		navigator.notification.progressStop(); //停止进度条

		var pic = "uploadfile/UserPhoto/" + imagefilename;
		localStorage.setItem('_usrPhoto', pic);
		f_initMainPage();

		//navigator.notification.alert("头像更新成功！", null, "提醒");
	}, null, options);
}

function onLoadPhotoFail() {
	alert('err');
}

function f_saveSuggest() {
	var sugName = $("#SugName").val();
	var sugTel = $("#SugTel").val();
	var sugContent = $("#SugContent").val();

	if (sugName == "") {
		f_error("请填写您的姓名");
		$("#SugName").focus();
		return false;
	}

	if (sugTel == "") {
		f_error("请填写您的联系方式");
		$("#SugTel").focus();
		return false;
	}

	if (sugContent == "") {
		f_error("请填写您的意见建议");
		$("#SugContent").focus();
		return false;
	}

	$.afui.showMask("保存中……", 30000);
	$.ajax({
		url: _serviceUrl,
		type: "POST",
		cache: false,
		dataType: "jsonp",
		jsonp: "f_saveSuggestCallback",
		contentType: "application/json;charset=utf-8",
		data:
		{
			"action": "saveSuggest",
			"SugName": encodeURIComponent(sugName),
            "SugTel": encodeURIComponent(sugTel),
            "SugContent": encodeURIComponent(sugContent),
			"callBack": "f_saveSuggestCallback"
		},
		timeout: 5000
	});
}

function f_saveSuggestCallback(dataJSON)
{
	$.afui.hideMask();

	if (dataJSON.result == "suc") {
		alert("您的意见已经成功提交,感谢您对我们的关注!");
		$("#SugName").val('');
		$("#SugTel").val('');
		$("#SugContent").val('');
		f_returnPanel('page_user');
	}
	else {
		f_error(dataJSON.msg);
	}
}

//加载头条号信息
function f_loadPartner(sender) {
	var usrId = $(sender).attr("usrId");
	f_openPanel('page_partner');

	//加载头条号基本信息
	$.afui.showMask("数据加载中……", 30000);
	$.ajax({
		url: _serviceUrl,
		type: "POST",
		cache: false,
		dataType: "jsonp",
		jsonp: "f_loadPartnerUserCallback",
		contentType: "application/json;charset=utf-8",
		data:
        {
        	"action": "getUser",
        	"usrId": usrId,
        	"callBack": "f_loadPartnerUserCallback"
        },
		timeout: 5000
	});

	$("#page_partner").attr("page", "1");
	$("#page_partner").attr("usrId", usrId);
	f_initScroll('page_partner');
	f_loadPartnerData();
}

function f_loadPartnerUserCallback(dataJSON) {
	$.afui.hideMask();

	if (dataJSON.result == "suc") {
		var html = "<div style=\"text-align:right\"><img src=\"imgs/close2.png\" style=\"width:20px;\" onclick=\"f_returnPanel('page_focus')\" /></div>"
		html += "<div>";
		html += "<div style=\"float:left;width:60px;\"><img src=\"" + _applicationUrl + "/" + dataJSON.UsrLogo + "\" style=\"width:60px;height:60px;\" /></div>";
		html += "<div style=\"float:left;width:260px;padding:10px;\">";
		html += "<div style=\"color:#ffffff;font-weight:bold;font-size:15px;\">" + dataJSON.UsrName + "</div>";
		html += "<div style=\"color:#ffffff;margin-top:10px;\">" + dataJSON.UsrIntro + "</div>";
		html += "</div>";
		html += "<div style=\"clear:both\"></div>";
		html += "</div>";
		$("#page_partner_infor").html(html);
	}
	else {
		f_error(dataJSON.msg);
	}
}

function f_loadPartnerData() {
	var usrId = $("#page_partner").attr("usrId");
	var page = $("#page_partner").attr("page");
	$.afui.showMask("数据加载中……", 30000);
	$.ajax({
		url: _serviceUrl,
		type: "POST",
		cache: false,
		dataType: "jsonp",
		jsonp: "f_loadPartnerDataCallback",
		contentType: "application/json;charset=utf-8",
		data:
		{
			"action": "getdatabyuser",
			"usrId": usrId,
			"page": page,
			"callBack": "f_loadPartnerDataCallback"
		},
		timeout: 5000
	});
}

function f_loadPartnerDataCallback(dataJSON) {
	if (dataJSON.result == "suc") {
		var html = "";
		for (i = 0; i < dataJSON.data.length; i++) {
			html += f_appendData(dataJSON.data[i]);
		}

		var page = $("#page_partner").attr("page");
		var container = $("#page_partner_container");
		if (page == "1") {
			container.html(html);
		}
		else {
			container.append(html);
		}
	}
	else {
		//f_error(dataJSON.msg);
	}
	$.afui.hideMask();
	myScroll.refresh();
}

var _editWindow;
function f_dataEdit()
{
	var usrId = localStorage.getItem('_usrId');
	if (usrId == null || usrId == '') {
		f_openPanel("page_login", "up-reveal");
	}
	else {
	    var usrName = localStorage.getItem('_usrName');
        _editWindow = cordova.InAppBrowser.open('http://www.zhzxlh.com:8095/editmmm.aspx?UsrName=' + usrName, '_system');
	}
}